#ifndef Q_DEBUGVIEW_H
#define Q_DEBUGVIEW_H

#include <QWidget>
#include <QCloseEvent>
#include <QMovie>
#include "ui_debugview.h"
#include "nss_toolkit.h"
#include "demo_util.h"
class QDebugview : public QWidget
{
    Q_OBJECT

public:
    QDebugview(QWidget *parent);
    ~QDebugview();

    void closeEvent(QCloseEvent *event);

    DEVICE_ID id() const { return id_; }
    void id(DEVICE_ID val) { id_ = val; }

    void OnDeadPixelResult(int result);
private:
    Ui::formDebugView ui_debugview_;

    DEVICE_ID   id_;

    QMovie* loading_movie_;

    void ShowStatus( STATUS_LOG_LEVEL level,const QString& qstr );
private slots:
    void OnDeadPixelClick();
};

#endif // Q_DEBUGVIEW_H
